Foreman - Bug #14395

Hosts > Operating Systems > [OS] > Templates tab: "provision" field label is lowercase, should be
"Provision"

03/30/2016 05:49 AM - Ondrej Prazak

Status: Closed
Priority: Normal
Assignee: Ondfrej Prazak
Category: Templates
Target version: 1.12.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1178195 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3376,
https://github.com/theforeman/foreman/p
ull/3443
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1178195

Description of problem:

On the Templates tab of the Operating System details pane, there are two fields, "PXELinux" and "provision". "provision" should be
capitalized to be "Provision".

Version-Release number of selected component (if applicable):
6.0.6

How reproducible:
100%

Steps to Reproduce:

1. Log in to the Satellite Ul

2. Go to Hosts > Operating Systems
3. Click on an OS, or make a new one
4. Go to the Templates tab

Actual results:
One of the field labels isn't capitalized

Expected results:
"provision" to be "Provision"

Additional info:

Related issues:

Related to Foreman - Bug #7648: Order of operating system templates differs New 09/26/2014
Related to Foreman - Bug #14741: Host templates tab fails with mark_translate... Closed 04/21/2016
Related to Foreman - Bug #14742: Template kind friendly names from plugins ca... Closed 04/21/2016
Related to Foreman - Bug #14746: Template kinds not translated in provisionin... Closed 04/21/2016
Has duplicate Foreman - Bug #7171: Template kind names aren't translated Duplicate 08/20/2014

Associated revisions

Revision 1ef8f52b - 04/20/2016 07:47 AM - Ondiej Prazak

Fixes #14395 - Label for provision template capitalized in os details page

S

Revision b0b68f4f - 04/21/2016 09:11 AM - Dominic Cleal

refs #14395 - change user-friendly template kind names

05/18/2024 12



https://bugzilla.redhat.com/show_bug.cgi?id=1178195

- PXELinux/PXEGrub to one word to match project names
- change "Provision” to "Provisioning" to read better
- change to sentence case to better match app

History

#1 - 03/30/2016 06:28 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3376 added

#2 - 04/11/2016 08:05 AM - Lukas Zapletal
- Related to Bug #7648: Order of operating system templates differs added

#3 - 04/20/2016 08:02 AM - Ondfej Prazak
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 1ef8f52b525294df333cd628896f8fe0243ad0a8.

#4 - 04/21/2016 04:04 AM - Dominic Cleal
- Has duplicate Bug #7171: Template kind names aren't translated added

#5 - 04/21/2016 04:11 AM - Dominic Cleal

- translation missing: en.field_release set to 136

#6 - 04/21/2016 04:24 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/3443 added

#7 - 04/21/2016 04:28 AM - Dominic Cleal

- Related to Bug #14741: Host templates tab fails with mark_translated: no implicit conversion of TemplateKind into String added

#8 - 04/21/2016 04:31 AM - Dominic Cleal

- Related to Bug #14742: Template kind friendly names from plugins can be reloaded and lost in development added

#9 - 04/21/2016 05:54 AM - Dominic Cleal

- Related to Bug #14746: Template kinds not translated in provisioning template form dropdown added
